Name: libhmac
Version: 20180731
Release: 1
Summary: Library to support various Hash-based Message Authentication Codes (HMAC)
Group: System Environment/Libraries
License: LGPL
Source: %{name}-%{version}.tar.gz
URL: https://github.com/libyal/libhmac
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  openssl
BuildRequires:  openssl-devel

%description
Library to support various Hash-based Message Authentication Codes (HMAC)

%package devel
Summary: Header files and libraries for developing applications for libhmac
Group: Development/Libraries
Requires: libhmac = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libhmac.

%package tools
Summary: Several tools for calculating Hash-based Message Authentication Codes (HMAC)
Group: Applications/System
Requires: libhmac = %{version}-%{release}      
      

%description tools
Several tools for calculating Hash-based Message Authentication Codes (HMAC)

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%license COPYING
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%license COPYING
%doc AUTHORS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libhmac.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%license COPYING
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon Aug  6 2018 Joachim Metz <joachim.metz@gmail.com> 20180731-1
- Auto-generated

